Bug 1014319 - more logging when creating JaxWS client in ServiceTaskHandler
more logging when creating JaxWS client in ServiceTaskHandler
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity unspecified
: ER5
: 6.0.0
Assigned To: Kris Verlaenen
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 13:27 EDT by jbride@redhat.com
Modified: 2014-08-06 16:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:06:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jbride@redhat.com 2013-10-01 13:27:15 EDT
Hi.
  i'm smoke testing the BPMN2 ServiceTaskHandler to invoke remote SOAP service.
  So far so good.
  Request I have is to allow an option for logging of a stack trace exception that could occur when attempting to parse a remote WSDL and instantiate a JaxWSClient.  There are all kinds of potential problems that can arise in creating the JaxWSClient (ie:  security, network, wrong service/port names, etc).  Currently, the ServiceTaskHandler workItemHandler buries these exceptions when attempting to create the JaxWSClient such that the only way to view the exception is through a debugger.
  Request that the following be addeded :

https://github.com/droolsjbpm/jbpm/blob/master/jbpm-workitems/src/main/java/org/jbpm/process/workitem/bpmn2/ServiceTaskHandler.java#L184

    184                         return client;
    185                     } catch (Exception e) {
    186                         if(logger.isDebugEnabled()){
    187                             e.printStackTrace();
    188                         }
    189                         continue;
    190                     }


thanks!  jeff
Comment 3 Marek Baluch 2013-12-04 02:23:11 EST
Verified on ER5.

Note You need to log in before you can comment on or make changes to this bug.